#include<stdio.h>
#include<string.h>
int main(void){
	char petrovo,petrino;
	float odnos;
	scanf(" %c %c",&petrovo,&petrino);
	int petrovi,petrini;
	printf("unesi petrove");
	scanf(" %d",&petrovi);
	printf("unesi petrine");
	scanf(" %d",&petrini);
	char str1[petrovi+petrini],str2[petrovi+petrini];
	if(petrini==petrovi||petrini==petrovi+1||petrini+1==petrovi){
		char str1[petrovi+petrini],str2[petrovi+petrini];
    for(int i=0;i<petrovi+petrini;i++){
		if(i%2==0){
		str1[i]=petrovo;
		str2[i]=petrino;
	}else{
	str1[i]=petrino;
	str2[i]=petrovo;
	}
	}printf("%s\n",str1);
	printf("%s",str2);

}
else printf("nemoguce");
return 0;
}